Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions
openvrml::transform_node Class Reference

Abstract base class for transform nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::transform_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~transform_node ()=0 throw ()
| Destroy.
const mat4f & | transform () const throw ()
| Get the transformation associated with the `node` as a matrix.

## Protected Member Functions

| transform_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual transform_node * | to_transform () throw ()
| Cast to a `transform_node`.
virtual const mat4f & | do_transform () const =0 throw ()
| Get the transformation associated with the `node` as a matrix.

## Detailed Description

Abstract base class for transform nodes.

## Constructor & Destructor Documentation

openvrml::transform_node::~transform_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::transform_node::transform_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |  | throw ()`[protected]`

Construct.

Parameters:

  [in] | type | the `node_type` associated with the `node`.
  [in] | scope | the `scope` the `node` belongs to.

## Member Function Documentation

const openvrml::mat4f & openvrml::transform_node::transform | ( |  | ) | const throw ()

Get the transformation associated with the `node` as a matrix.

This function delegates to `do_transform`.

Returns:
  the transformation associated with the `node`.

openvrml::transform_node * openvrml::transform_node::to_transform | ( |  | ) | throw ()`[private, virtual]`

Cast to a `transform_node`.

Returns:
  a pointer to this `transform_node`.

Reimplemented from openvrml::node.

const openvrml::mat4f & openvrml::transform_node::do_transform | ( |  | ) | const throw ()`[private, pure virtual]`

Get the transformation associated with the `node` as a matrix.

Returns:
  the transformation associated with the `node`.